#include <cuda_runtime.h>
#include <device_launch_parameters.h>
#include <stdio.h>
#include <stdlib.h>

#include "..\static_lib_1\functions.cuh"
#include "..\static_lib_2\functions.cuh"



int main(int argc, char** argv)
{

    // Select CUDA device
    cudaSetDevice(0);



    printf("\nCalling kernel from static_lib_1.lib\n");
    parent_kernel_1<<<1,1>>>();
    
    printf("\nCalling kernel from static_lib_2.lib\n");
    parent_kernel_2<<<1,1>>>();
    
    printf("\nCalling function from static_lib_1.lib that calls a kernel from static_lib_2.lib\n");
    call_kernel_from_static_lib_2();



    // Wait for user to press a key before exiting and closing the console window
    char exit_char;
    printf("\nPress any key to exit...");
    scanf_s("%c", &exit_char);

    return 0;
}